ssossossossosso

Forums

Covering OroCRM topics, including community updates and company announcements.  Subscribe

Forums Forums OroCRM Errors installing orocrm-application

This topic contains 9 replies, has 4 voices, and was last updated by  ibakayoko 2 years, 5 months ago.

  • Creator
    Topic
  • #27082

    MedoochDev
    Participant

    Hi everyone,

    I try to install orocrm application but i get those problems that i can’t solve them, please help me to configure my first app orocrm.

    null

    Warning: date_default_timezone_get(): It is not safe to rely on the system’s timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone ‘UTC’ for now, but please set date.timezone to select your timezone. in /Users/Mohamed/Sites/vhosts/crm-application/app/SymfonyRequirements.php on line 441

    Warning: date_default_timezone_get(): It is not safe to rely on the system’s timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone ‘UTC’ for now, but please set date.timezone to select your timezone. in /Users/Mohamed/Sites/vhosts/crm-application/app/SymfonyRequirements.php on line 442

    Fatal error: Uncaught exception ‘Symfony\Component\Intl\Exception\MethodArgumentValueNotImplementedException’ with message ‘The Symfony\Component\Intl\Collator\Collator::__construct() method’s argument $locale value ‘fr_FR’ behavior is not implemented. Only the locale “en” is supported. Please install the “intl” extension for full localization capabilities.’ in /Users/Mohamed/Sites/vhosts/crm-application/vendor/symfony/symfony/src/Symfony/Component/Intl/Collator/Collator.php:80
    Stack trace:
    #0 /Users/Mohamed/Sites/vhosts/crm-application/app/SymfonyRequirements.php(619): Symfony\Component\Intl\Collator\Collator->__construct(‘fr_FR’)
    #1 /Users/Mohamed/Sites/vhosts/crm-application/app/OroRequirements.php(25): SymfonyRequirements->__construct()
    #2 /Users/Mohamed/Sites/vhosts/crm-application/app/oro-check.php(6): OroRequirements->__construct()
    #3 {main}
    thrown in /Users/Mohamed/Sites/vhosts/crm-application/vendor/symfony/symfony/src/Symfony/Component/Intl/Collator/Collator.php on line 80

Viewing 9 replies - 1 through 9 (of 9 total)
  • Author
    Replies
  • #27083

    MedoochDev
    Participant

    I currently use Mamp Pro on OSX, with the php version 5.4.34

    #27084

    Rodolfo
    Participant

    Hello,

    You have to set your timezone on your php.ini and restart your Mamp after that.

    #27085

    MedoochDev
    Participant

    Hi Rodolfo,

    thank you for answer, but that’s configure dont resolve the problem ?

    I have this error also Set the “memory_limit” setting in php.ini* to at least “512M”.

    And i have changed the memory_limit to 512M in my php.ini

    Always the same problems !!

    #27086

    MedoochDev
    Participant

    I think that this request can solve the problems

    But i can’t find where to add ORO_PHP_PATH

    #27087

    Rodolfo
    Participant

    Hi There!

    I never had to configure ORO_PHP_PATH before. I’m not sure but this could be a feature of the new versions.

    So, anyways.. That problem could be happening because you have a different configuration php.ini for your console php (cli) and your apache/nginx. And maybe you are editing the wrong php.ini. That explain why you’re keep receiving the same error message even before editing and restarting your Mamp.

    1) I created a .php with phpinfo(); function. With that you can find what php.ini the Apache are using.

    2) run on your console: php -i | grep php.ini
    This will tell you what php.ini your console are using.

    I highly recommend to install using cli and not the browser.

    #27088

    MedoochDev
    Participant

    welcom back rodolfo,
    thank you for replying,

    Right now i have just one problem is the PHP CLI !
    And all of others are solved 🙂

    Stack trace:
    #0 /Users/Mohamed/Sites/vhosts/crm-application/app/SymfonyRequirements.php(629): ReflectionExtension->__construct(‘intl’)
    #1 /Users/Mohamed/Sites/vhosts/crm-application/app/OroRequirements.php(25): SymfonyRequirements->__construct()
    #2 /Users/Mohamed/Sites/vhosts/crm-application/app/oro-check.php(6): OroRequirements->__construct()
    #3 {main}
    thrown in /Users/Mohamed/Sites/vhosts/crm-application/app/SymfonyRequirements.php on line 629

    Can you make a screenshots to your php library/extension please !
    I think that my version miss some extensions.

    #27089

    MedoochDev
    Participant

    Welcome again,

    #27090

    Roman Grebenchuk
    Moderator

    Hi,
    It seems ICU and php INTL extension are not installed.

    #27091

    ibakayoko
    Participant

    The Installation is always failing via the web interface on PHP CLI validation.

    When i try the install via command line php app/console oro:install –env prod

    The installation is also failing with the error below:

    Warning: require(/Users/ixb/entreprise/crm-application/app/cache/prod/doctrine/orm/Proxies/__CG__OroBundleWorkflowBundleEntityWorkflowStep.php): failed to open stream: No such file or directory in /Users/ixb/entreprise/crm-application/vendor/doctrine/common/lib/Doctrine/Common/Proxy/AbstractProxyFactory.php on line 207

    Fatal error: require(): Failed opening required ‘/Users/ixb/entreprise/crm-application/app/cache/prod/doctrine/orm/Proxies/__CG__OroBundleWorkflowBundleEntityWorkflowStep.php’ (include_path=’.:/usr/local/php5/lib/php’) in /Users/ixb/entreprise/crm-application/vendor/doctrine/common/lib/Doctrine/Common/Proxy/AbstractProxyFactory.php on line 207
    PHP Warning: require(/Users/ixb/entreprise/crm-application/app/cache/prod/doctrine/orm/Proxies/__CG__OroBundleWorkflowBundleEntityWorkflowStep.php): failed to open stream: No such file or directory in /Users/ixb/entreprise/crm-application/vendor/doctrine/common/lib/Doctrine/Common/Proxy/AbstractProxyFactory.php on line 207
    PHP Fatal error: require(): Failed opening required ‘/Users/ixb/entreprise/crm-application/app/cache/prod/doctrine/orm/Proxies/__CG__OroBundleWorkflowBundleEntityWorkflowStep.php’ (include_path=’.:/usr/local/php5/lib/php’) in /Users/ixb/entreprise/crm-application/vendor/doctrine/common/lib/Doctrine/Common/Proxy/AbstractProxyFactory.php on line 207

    [RuntimeException]
    The command terminated with an exit code: 255.

Viewing 9 replies - 1 through 9 (of 9 total)

You must be logged in to reply to this topic.